La cache di dipendenza di Android Gradle può essere corrotta e la build di gradle non funziona

Sto cercando di importre questo progetto, anche se ho cercato di importre anche altri progetti, mi trovo sotto l'errore.

https://github.com/ashdavies/data-binding

  • Espresso come aspettare un po 'di tempo (1 ora)?
  • Come fare GPS per Android usando pietra, pyjnius?
  • Limitare l'area in cui l'utente può accedere a Mapview
  • Android ImageButton - determina la risorsa attualmente impostata
  • Appoggio schermato diviso in Android N + solo sulle compresse
  • Come submit i dati json al servizio POST riposante
  • immettere qui la descrizione dell'immagine

    Ho trascorso le mie 5 ore su di esso, anche ho provato molte soluzioni su google, ma niente funzionava per me.

    Ho provato le seguenti soluzioni, niente funzionava.

    1) delete .gradle directory 2) Restart IDE, 3) I tested with com.android.tools.build:gradle-experimental:0.7.0-alpha1 

    Sono frustrato a causa di questo Gradle e di queste questioni.

     Gradle Version : Gradle-2.13, I do not want to change this version. Android Studio Version : Stable 2.1.1 

    Nota: il mio altro progetto sta funzionando bene e posso costruirlo anche.

    Mi prego di aiutarmi se qualcuno ha affrontato lo stesso problema.

    Grazie

  • Visualizzatore Pdf con libreria mupdf
  • È ansible rilevare la disinstallazione dell'applicazione Android?
  • Imansible risolvere l'errore di org.apache.http.client di importzione quando aggiorgo Sdk a M
  • Come scalare un'image in android
  • Modifica il carattere della maschera di modifica di EditText in asterisco (*)
  • Imansible avviare l'intento di servizio
  • 5 Solutions collect form web for “La cache di dipendenza di Android Gradle può essere corrotta e la build di gradle non funziona”

    È ansible provare diverse soluzioni per questo problema:

    1- Prova pulita e ricostruisci .

    2- Prima di importre il progetto , rimuovere il contenuto delle cartelle di creazione .

    Quindi sostituire il contenuto del file gradle-wrapper.properties con le seguenti righe per renderlo usando una distribuzione locale per la costruzione del progetto:

     distributionBase=GRADLE_USER_HOME distributionPath=wrapper/dists zipStoreBase=GRADLE_USER_HOME zipStorePath=wrapper/dists distributionUrl=file\:/opt/gradle/gradle-2.13-all.zip 

    in cui, l'ultima linea impedisce a android studio di scaricare o utilizzare una cache di gradi danneggiati.

    Poiché il path di gradel per il progetto è errato. Vai a -> Impostazioni -> Gradle

    e select "utilizza impostazioni predefinite di gradel" e che il progetto di sincronizzazione. e il problema sarà risolto.

    È ansible provare questa soluzione come mi è stato affrontare questo problema mostrando che la cache di dipendenza di Error2 Gradle può essere danneggiata e la build di gradle non funziona e lo ha risolto. Già risposto a questa domanda sulla pila. Puoi rispondere a questo link

    Comprende innanzitutto il download della versione più recente di graddle dal sito ufficiale, quindi la sostituzione di quel file unzipped con home / yourUser / .graddle / wrapper / dists contando file di versione precedente su Mac.

    1. Vai a qualsiasi browser

    2. digitare gradle e premere enter

    è ansible specificare qualsiasi versione che si desidera dopo

    gradle parola chiave

    Sto scaricando gradle 3.3

    1. https://services.gradle.org/distributions fai clic su questo link che è direttamente nella descrizione se vuoi

    2. fare clic su gradle 3.3 all.zip

    3. attendere che il download venga completato

    4. una volta completato il download, estrarre il file nella posizione

    c: // utente / tuo nome del pc /.gradle/wrapper/dists

    1. attendere fino all'estrazione ci vogliono 5 minuti per completare

    2. Ora apri il tuo progetto in studio android

    9.go per file> impostazioni> bulid, exec, deployment> gradle

    1. ora cambia uso gradle di default

    usa local gradle distributn

    select la posizione in cui hai estratto la gradella 3.3.zip

    C: \ Utenti \ il tuo pc name.gradle \ wrapper \ dists \ gradle-3.3

    1. fare clic su OK

    2. Ora la costruzione riprende e

    si può vedere ora che la build è rioutput ed è stato risolto l'errore

    o

    guardare tutorial https://www.youtube.com/watch?v=u92_73vfA8M

    Nel mio caso, stava accadendo perché non ho impostato il path JDK nella variabile di ambiente. Verifica dal tuo studio di studio di Android che il tuo path JDK è corretto.

    Vai a Struttura del progetto> SDK Location e controlla il path JDK. Dategli il path JDK corretto e impostare anche la variabile di ambiente JAVA_HOME.

    immettere qui la descrizione dell'immagine

    L'Android è un fan Android di Google, tutto su telefoni Android, Android Wear, Android Dev e applicazioni Android Games e così via.